CSFML - C binding of the Simple and Fast Multimedia Library

CSFML 2.6.1

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Functions | Variables
Time.h File Reference
`#include <SFML/System/Export.h>`

Go to the source code of this file.

## Classes
struct | sfTime
| Represents a time value. More...

## Functions
float | sfTime_asSeconds (sfTime time)
| Return a time value as a number of seconds.
sfInt32 | sfTime_asMilliseconds (sfTime time)
| Return a time value as a number of milliseconds.
sfInt64 | sfTime_asMicroseconds (sfTime time)
| Return a time value as a number of microseconds.
sfTime | sfSeconds (float amount)
| Construct a time value from a number of seconds.
sfTime | sfMilliseconds (sfInt32 amount)
| Construct a time value from a number of milliseconds.
sfTime | sfMicroseconds (sfInt64 amount)
| Construct a time value from a number of microseconds.

## Variables
sfTime | sfTime_Zero
| Predefined "zero" time value.

## Function Documentation

## ◆ sfMicroseconds()

sfTime sfMicroseconds | ( | sfInt64 | amount | ) |

Construct a time value from a number of microseconds.

Parameters

  amount | Number of microseconds

Returns
  Time value constructed from the amount of microseconds

## ◆ sfMilliseconds()

sfTime sfMilliseconds | ( | sfInt32 | amount | ) |

Construct a time value from a number of milliseconds.

Parameters

  amount | Number of milliseconds

Returns
  Time value constructed from the amount of milliseconds

## ◆ sfSeconds()

sfTime sfSeconds | ( | float | amount | ) |

Construct a time value from a number of seconds.

Parameters

  amount | Number of seconds

Returns
  Time value constructed from the amount of seconds

## ◆ sfTime_asMicroseconds()

sfInt64 sfTime_asMicroseconds | ( | sfTime | time | ) |

Return a time value as a number of microseconds.

Parameters

  time | Time value

Returns
  Time in microseconds

## ◆ sfTime_asMilliseconds()

sfInt32 sfTime_asMilliseconds | ( | sfTime | time | ) |

Return a time value as a number of milliseconds.

Parameters

  time | Time value

Returns
  Time in milliseconds

## ◆ sfTime_asSeconds()

float sfTime_asSeconds | ( | sfTime | time | ) |

Return a time value as a number of seconds.

Parameters

  time | Time value

Returns
  Time in seconds

## Variable Documentation

## ◆ sfTime_Zero

sfTime sfTime_Zero

Predefined "zero" time value.

Definition at line 47 of file Time.h.